## ros-dashing-tf2-eigen 0.11.6

=== debian/changelog ===
ros-dashing-tf2-eigen (0.11.6-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Dec 2019 06:00:00 -0000

ros-dashing-tf2-eigen (0.11.5-1bionic) bionic; urgency=high

  * Use eigen3_cmake_module (#144 <https://github.com/ros2/geometry2/issues/144>) (#153 <https://github.com/ros2/geometry2/issues/153>)
  * Contributors: Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 06 Sep 2019 05:00:00 -0000

ros-dashing-tf2-eigen (0.11.4-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 31 Jul 2019 05:00:00 -0000

ros-dashing-tf2-eigen (0.11.3-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 24 May 2019 05:00:00 -0000

ros-dashing-tf2-eigen (0.11.2-1bionic) bionic; urgency=high

  * Port tf2_kdl (#90 <https://github.com/ros2/geometry2/issues/90>)
    * tf2_eigen, leftover from the cherry-pick
    While cherry-picking changes to get isometry3d in
    * Update tf2_eigen, add toMsg2
    Convert a Eigen::Vector3d type to a geometry_msgs::msg::Vector3
    while avoiding overloading issues with previous definitions
    * Default to C++14
    * Define _USE_MATH_DEFINES so Windows gets M_PI symbol.
  * Contributors: Víctor Mayoral Vilches

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 20 May 2019 05:00:00 -0000

ros-dashing-tf2-eigen (0.11.1-1bionic) bionic; urgency=high

  * also export Eigen3 include directories (#102 <https://github.com/ros2/geometry2/issues/102>)
  * Contributors: Marcus Scheunemann

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 09 May 2019 05:00:00 -0000

ros-dashing-tf2-eigen (0.11.0-1bionic) bionic; urgency=high

  * Updated to use ament_target_dependencies where possible. (#98 <https://github.com/ros2/geometry2/issues/98>)
  * Contributors: ivanpauno

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 14 Apr 2019 05:00:00 -0000

ros-dashing-tf2-eigen (0.10.1-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-dashing-tf2-eigen (0.10.0-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 22 Nov 2018 06:00:00 -0000

ros-dashing-tf2-eigen (0.5.15-1bionic) bionic; urgency=high

  * fixup #186 <https://github.com/ros/geometry2/issues/186>: inline template specializations (#200 <https://github.com/ros/geometry2/issues/200>)
  * Contributors: Robert Haschke

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 24 Jan 2017 06:00:00 -0000

ros-dashing-tf2-eigen (0.5.14-1bionic) bionic; urgency=high

  * Add tf2_eigen conversions for Pose and Point (not stamped) (#186 <https://github.com/ros/geometry2/issues/186>)
    * tf2_eigen: added conversions for Point msg type (not timestamped) to Eigen::Vector3d
    * tf2_eigen: added conversions for Pose msg type (not timestamped) to Eigen::Affine3d
    * tf2_eigen: new functions are inline now
    * tf2_eigen test compiling again
    * tf2_eigen: added tests for Affine3d and Vector3d conversion
    * tf2_eigen: added redefinitions of non-stamped conversion function to make usage in tf2::convert() possible
    * tf2_eigen: reduced redundancy by reusing non-stamped conversion-functions in their stamped counterparts
    * tf2_eigen: added notes at doTransform-implementations which can not work with tf2_ros::BufferInterface::transform
    * tf2_eigen: fixed typos
  * Don't export local include dirs (#180 <https://github.com/ros/geometry2/issues/180>)
  * Improve documentation.
  * Contributors: Jackie Kay, Jochen Sprickerhof, cwecht

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 16 Jan 2017 06:00:00 -0000

ros-dashing-tf2-eigen (0.5.13-1bionic) bionic; urgency=high

  * Added missing inline
  * Added unit test
    - Testing conversion to msg forward/backward
  * Added eigenTotransform function
  * Contributors: Davide Tateo, boris-il-forte

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-dashing-tf2-eigen (0.5.12-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 05 Aug 2015 05:00:00 -0000

ros-dashing-tf2-eigen (0.5.11-1bionic) bionic; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 22 Apr 2015 05:00:00 -0000

ros-dashing-tf2-eigen (0.5.10-1bionic) bionic; urgency=high

  * fixing CMakeLists.txt from #97 <https://github.com/ros/geometry_experimental/issues/97>
  * create tf2_eigen.
  * Contributors: Tully Foote, koji

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 21 Apr 2015 05:00:00 -0000
