=== debian/control ===
Source: ros-dashing-tf2-eigen
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libeigen3-dev, ros-dashing-ament-cmake, ros-dashing-ament-cmake-gtest, ros-dashing-eigen3-cmake-module, ros-dashing-geometry-msgs, ros-dashing-tf2, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-dashing-tf2-eigen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libeigen3-dev, ros-dashing-eigen3-cmake-module, ros-dashing-geometry-msgs, ros-dashing-tf2, ros-dashing-tf2-ros, ros-dashing-ros-workspace
Description: tf2_eigen
